<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('gerai_ar_payment', function (Blueprint $table) {
            $table->id();
            $table->string('paymentNo')->nullable();
            $table->string('debtor');
            $table->string('paymentMethod');
            $table->decimal('paymentAmount', 10,2);
            $table->unsignedBigInteger('geraiInvoiceID')->nullable(); //foreign key
            $table->foreign('geraiInvoiceID')->references('id')->on('gerai_invoice')->onDelete('cascade');
            $table->timestamps();

            // Added Indexes
            $table->index('geraiInvoiceID');
            $table->index('debtor');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('gerai_ar_payment');
    }
};
